Package org.kapott.hbci.sepa.jaxb.camt_052_001_03

## Class ReferredDocumentInformation3

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_03.ReferredDocumentInformation3

    public class ReferredDocumentInformation3
    extends java.lang.Object

Java class for ReferredDocumentInformation3 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ReferredDocumentInformation3">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Tp" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}ReferredDocumentType2" minOccurs="0"/>
             <element name="Nb" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}Max35Text" minOccurs="0"/>
             <element name="RltdDt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}ISODate" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected java.lang.String` `nb`
`protected javax.xml.datatype.XMLGregorianCalendar` `rltdDt`
`protected ReferredDocumentType2` `tp`

### Constructor Summary

Constructors
`ReferredDocumentInformation3()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getNb()` Gets the value of the nb property.
`javax.xml.datatype.XMLGregorianCalendar` `getRltdDt()` Gets the value of the rltdDt property.
`ReferredDocumentType2` `getTp()` Gets the value of the tp property.
`void` `setNb​(java.lang.String value)` Sets the value of the nb property.
`void` `setRltdDt​(javax.xml.datatype.XMLGregorianCalendar value)` Sets the value of the rltdDt property.
`void` `setTp​(ReferredDocumentType2 value)` Sets the value of the tp property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### tp

    protected ReferredDocumentType2 tp

#### nb

    protected java.lang.String nb

#### rltdDt

    protected javax.xml.datatype.XMLGregorianCalendar rltdDt

### Constructor Detail

#### ReferredDocumentInformation3

    public ReferredDocumentInformation3()

### Method Detail

#### getTp

    public ReferredDocumentType2 getTp()

Gets the value of the tp property.

Returns:
  possible object is `ReferredDocumentType2`

#### setTp

    public void setTp​(ReferredDocumentType2 value)

Sets the value of the tp property.

Parameters:
  `value` - allowed object is `ReferredDocumentType2`

#### getNb

    public java.lang.String getNb()

Gets the value of the nb property.

Returns:
  possible object is `String`

#### setNb

    public void setNb​(java.lang.String value)

Sets the value of the nb property.

Parameters:
  `value` - allowed object is `String`

#### getRltdDt

    public javax.xml.datatype.XMLGregorianCalendar getRltdDt()

Gets the value of the rltdDt property.

Returns:
  possible object is `XMLGregorianCalendar`

#### setRltdDt

    public void setRltdDt​(javax.xml.datatype.XMLGregorianCalendar value)

Sets the value of the rltdDt property.

Parameters:
  `value` - allowed object is `XMLGregorianCalendar`